%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Purpose: Get recorded data from the B&R motor control of      %
%          experiment IfA-2.4 (Speed Control)                   %
% Author: Tobias Graemer                                        %
% Date: 12. Sept 2009                                           %
% Version: 1.0                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all;
ftp_object = ftp('autx20-01');          % set ftp server address
mget(ftp_object,'records.csv');         % get the data
data = csvread('records.csv',1,0);      % read the data
time = data(:,1);                       % time index
Uref = data(:,2);                       % set value [V] (reference voltage) 
Ur = data(:,3);                         % controller output [V]
Uw = data(:,4);                         % tacho voltage [V]


% TODO: Expand or replace the code below
plot(time,Uref,time,Ur,time,Uw);
legend('U_{ref}','U_r','U_w');
xlabel('time [ms]');
ylabel('Voltage [V]');